<?php

declare(strict_types=1);

namespace Dedi\SyliusImportExportPlugin\Exporter;

use Dedi\SyliusImportExportPlugin\DataProvider\DataProviderInterface;
use Dedi\SyliusImportExportPlugin\Formater\FormaterInterface;

interface ExporterInterface
{
    public function getDataProvider(): DataProviderInterface;

    public function getFormater(): FormaterInterface;

    public function getIdentifier(): string;

    public function getFilename(): string;

    public function getLabel(): string;
}
