<?php

declare(strict_types=1);

namespace Dedi\SyliusImportExportPlugin\ShippingMethod\Exporter;

use Dedi\SyliusImportExportPlugin\DataProvider\DataProviderInterface;
use Sylius\Component\Core\Model\ShippingMethodInterface;

interface ShippingMethodDataProviderInterface extends DataProviderInterface
{
    public function getHeaders(): array;

    public function getRowData(ShippingMethodInterface $shippingMethod): array;
}
